%define		status		stable
%define		pearname	Net_Sieve
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - handles talking to timsieved
Summary(pl.UTF-8):	%{pearname} - obsługa komunikacji z timsieved
Name:		php-pear-%{pearname}
Version:	1.3.4
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	957970bc68bfc0fe169f14ce3d9eba3a
URL:		http://pear.php.net/package/Net_Sieve/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0
Requires:	php-pear-PEAR-core >= 1:1.0
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_Sieve-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Auth/SASL.*)

%description
Provides an API to talk to the timsieved server that comes with Cyrus
IMAPd. Can be used to install, remove, mark active etc sieve scripts.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ten moduł udostępnia API do komunikacji z serwerem timsieved,
dołączonym do Cyrus IMAPd. Może być używany do instalowania, usuwania,
zaznaczania aktywności itp. skryptów sieve.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%changelog
* Thu Oct 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_Sieve.git;a=log;h=master

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> 4ede5db
- up to 1.3.4

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 0360a03
- up to 1.3.3

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 6a1ab0f
- updated to: 1.3.2

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 953d07f
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> cf6b161
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> f006bdc
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 07e3d1f
- updated to: 1.3.0

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 0db6093
- updated to 1.1.6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b99b97c
- rel 3

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 7bad3bb
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 216fb22
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94fe1fe
- converted to UTF-8

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> b92e8e4
- 1.1.5

* Sun Sep 10 2006 Adam Gołębiowski <adamg@pld-linux.org> 2e06969
- updated to 1.1.4

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 9ce464e
- 1.1.3

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> f6aa132
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 84e7ac7
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 15b1f80
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> ff02b77
- group Development/Languages/PHP for -tests

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> baf4bc2
- 1.1.2

